<html xmlns:f="http://typo3.org/ns/TYPO3/CMS/Fluid/ViewHelpers" data-namespace-typo3-fluid="true">

<header class="c-global-header{f:if(condition: '{data.uid} == {settings.pages.root.pid}', then: ' c-global-header--white')}">
    <div class="c-global-header__container">
        <div class="c-global-header__inner">
            <f:link.typolink parameter="{settings.pages.root.pid}" class="c-global-header__brand">
                t3oce
            </f:link.typolink>

            <f:if condition="{languageMenu}">
                <div class="c-language-menu">
                    <ul class="c-language-menu__list">
                        <f:for each="{languageMenu}" as="menuItem">
                            <li class="c-language-menu__item" itemprop="availableLanguage" itemscope itemtype="http://schema.org/Language">
                                <f:variable name="languageTitle">
                                    <f:translate extensionName="t3oce_sitepackage" key="menu.language.{menuItem.languageUid}.title" />
                                </f:variable>
                                <f:if condition="{menuItem.available} == '1'">
                                    <f:then>
                                        <f:if condition="{menuItem.active}">
                                            <f:then>
                                                <span class="is-active"><f:render section="Name" arguments="{_all}" /></span>
                                            </f:then>
                                            <f:else>
                                                <f:link.typolink parameter="{menuItem.link}">
                                                    <span><f:render section="Name" arguments="{_all}" /></span>
                                                </f:link.typolink>
                                            </f:else>
                                        </f:if>
                                    </f:then>
                                    <f:else>
                                        <span class="is-inactive"><f:render section="Name" arguments="{_all}" /></span>
                                    </f:else>
                                </f:if>
                            </li>
                        </f:for>
                    </ul>
                </div>
            </f:if>
        </div>
    </div>
</header>

<f:section name="Name">
    <abbr title="{languageTitle -> f:spaceless()}" itemprop="name"><f:spaceless>
        <f:format.case mode="capitalWords"><f:translate extensionName="t3oce_sitepackage" key="menu.language.{menuItem.languageUid}.iso" /></f:format.case>
    </f:spaceless></abbr>
</f:section>

</html>
